---
title: BaseAudioContext.state
slug: Web/API/BaseAudioContext/state
tags:
  - API
  - Audio
  - AudioContext
  - BaseAudioContext
  - Property
  - Reference
  - Web Audio API
  - state
---
<p>{{ APIRef("Web Audio API") }}</p>

<div>
<p>The <code>state</code> read-only property of the {{ domxref("BaseAudioContext") }} interface returns the current state of the <code>AudioContext</code>.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">baseAudioContext.state;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}}. Possible values are:</p>

<ul>
 <li><code>suspended</code>: The audio context has been suspended (with the {{domxref("AudioContext.suspend()")}} method.)</li>
 <li><code>running</code>: The audio context is running normally.</li>
 <li><code>closed</code>: The audio context has been closed (with the {{domxref("AudioContext.close()")}} method.)</li>
</ul>

<h2 id="Example">Example</h2>

<p>The following snippet is taken from our <a href="https://github.com/mdn/webaudio-examples">AudioContext states demo</a> (<a href="https://mdn.github.io/webaudio-examples/audiocontext-states/">see it running live</a>.) The {{domxref("AudioContext.onstatechange")}} hander is used to log the current state to the console every time it changes.</p>

<pre class="brush: js">audioCtx.onstatechange = function() {
  console.log(audioCtx.state);
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-baseaudiocontext-state', 'state')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>
<div>

<p>{{Compat("api.BaseAudioContext.state")}}</p>
</div>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
